# PgSQL Class Reference
[Connectors and dialects for various databases]

PostgreSQL DB connector. More...

Inheritance diagram for PgSQL:
[legend]

List of all members.

## Public Member Functions

| connect ()
| disconnect ()
| isConnected ()
| obtainSequence ($sequence)
| misc
| setDbEncoding ()
| queryRaw ($queryString)
| query methods
| queryCount (Query $query)
| Same as query, but returns number of affected rows Returns number of affected rows in insert/update queries.
| queryRow (Query $query)
| queryColumn (Query $query)
| querySet (Query $query)
| hasSequences ()
| getTableInfo ($table)

## Static Public Member Functions

static | getDialect ()

## Private Member Functions

| checkSingle ($result)

## Detailed Description

PostgreSQL DB connector.

See also:
  http://www.postgresql.org/

Definition at line 19 of file PgSQL.class.php.

## Member Function Documentation

PgSQL::checkSingle | ( | $ | result | ) | `[private]`

Definition at line 249 of file PgSQL.class.php.

Referenced by queryRow().

PgSQL::connect | ( |  | ) |

Returns:
  PgSQL

Reimplemented from DB.

Definition at line 32 of file PgSQL.class.php.

References setDbEncoding().

Here is the call graph for this function:

PgSQL::disconnect | ( |  | ) |

Returns:
  PgSQL

Reimplemented from DB.

Definition at line 61 of file PgSQL.class.php.

References isConnected().

Here is the call graph for this function:

static PgSQL::getDialect | ( |  | ) | `[static]`

Returns:
  PostgresDialect

Reimplemented from DB.

Definition at line 24 of file PgSQL.class.php.

References PostgresDialect::me().

Here is the call graph for this function:

PgSQL::getTableInfo | ( | $ | table | ) |

Exceptions:

  | ObjectNotFoundException |

Returns:
  DBTable

Reimplemented from DB.

Definition at line 182 of file PgSQL.class.php.

References DataType::BIGINT, DataType::BINARY, DataType::BOOLEAN, DataType::CHAR, DataType::create(), DataType::DATE, DataType::DOUBLE, DataType::INTEGER, Assert::isTrue(), DataType::NUMERIC, DataType::REAL, DataType::SMALLINT, DataType::TEXT, DataType::TIME, DataType::TIMESTAMP, and DataType::VARCHAR.

Here is the call graph for this function:

PgSQL::hasSequences | ( |  | ) |

Reimplemented from DB.

Definition at line 173 of file PgSQL.class.php.

PgSQL::isConnected | ( |  | ) |

Reimplemented from DB.

Definition at line 69 of file PgSQL.class.php.

Referenced by disconnect().

PgSQL::obtainSequence | ( | $ | sequence | ) |

misc

Definition at line 78 of file PgSQL.class.php.

References queryRaw().

Here is the call graph for this function:

PgSQL::queryColumn | ( | Query $ | query | ) |

Reimplemented from DB.

Definition at line 141 of file PgSQL.class.php.

References DB::query().

Here is the call graph for this function:

PgSQL::queryCount | ( | Query $ | query | ) |

Same as query, but returns number of affected rows Returns number of affected rows in insert/update queries.

Reimplemented from DB.

Definition at line 124 of file PgSQL.class.php.

References DB::queryNull().

Here is the call graph for this function:

PgSQL::queryRaw | ( | $ | queryString | ) |

query methods

Reimplemented from DB.

Definition at line 100 of file PgSQL.class.php.

References PostgresError::UNIQUE_VIOLATION.

Referenced by obtainSequence().

PgSQL::queryRow | ( | Query $ | query | ) |

Reimplemented from DB.

Definition at line 129 of file PgSQL.class.php.

References checkSingle(), and DB::query().

Here is the call graph for this function:

PgSQL::querySet | ( | Query $ | query | ) |

Reimplemented from DB.

Definition at line 157 of file PgSQL.class.php.

References DB::query().

Here is the call graph for this function:

PgSQL::setDbEncoding | ( |  | ) |

Returns:
  PgSQL

Reimplemented from DB.

Definition at line 89 of file PgSQL.class.php.

Referenced by connect().

The documentation for this class was generated from the following file:

- core/DB/PgSQL.class.php